#include <LiquidCrystal.h>
#include <Wire.h>
#include "MAX30100_PulseOximeter.h"
#define OKRES_WYSWIETLANIA 200
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);    
uint8_t saturacja;
float tetno;
PulseOximeter max30100;
uint32_t poprzedniOdczyt = 0;

void setup() {
  lcd.begin(16,2);
  lcd.setCursor(0,0);
  max30100.begin();
  max30100.setIRLedCurrent(MAX30100_LED_CURR_11MA); //ustawienie pradu diody podczerwonej
}

void loop() {
  max30100.update();
  if (millis() - poprzedniOdczyt > OKRES_WYSWIETLANIA) {
    saturacja = max30100.getSpO2();
    tetno = max30100.getHeartRate();
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("Tetno: ");
    lcd.print(tetno);
    lcd.print(" bpm");
    lcd.setCursor(0,1);
    lcd.print("Saturacja: ");
    lcd.print(saturacja);
    lcd.print("%");
    poprzedniOdczyt = millis();
  }
}
